{
  universal.modules = [
    {
      time.timeZone = "Europe/Bucharest";
      i18n.defaultLocale = "en_US.UTF-8";
    }
    (
      {
        pkgs,
        lib,
        ...
      }: {
        services.xserver.xkb.extraLayouts = {
          rulemak = {
            description = "Rulemak, Colemak based Russian phonetic layout";
            languages = ["ru"];
            symbolsFile = pkgs.fetchurl {
              url = "https://geert.hendrickx.be/colemak/rulemak.xkb";
              hash = "sha256-S91aAlOllcpw9NWYf/vkZksfe4miZgx3BahswPWDWhU=";
            };
            #┌─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┲━━━━━━━━━┓
            #│ Ё ‶ │ ! ˝ │ " ² │ № ³ │ ; £ │ % ¥ │ : ¯ │ ?   │ * ₴ │ ( { │ ) } │ _ — │ + ÷ ┃ ⌫       ┃
            #│ ё ` │ 1 ´ │ 2 ¨ │ 3 # │ 4 $ │ 5 € │ 6 ˘ │ 7 & │ 8 ₽ │ 9 [ │ 0 ] │ - – │ = × ┃Backspace┃
            #┢━━━━━┷━┱───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┺━┳━━━━━━━┫
            #┃       ┃ Я Ѣ │ Ж Ѵ │ Ф Ѳ │ П   │ Г Ґ │ й Ј │ Л Љ │ У Ў │ Ы Ї │ Ю : │ Ш „ │ Щ “ ┃ Enter ┃
            #┃ Tab ↹ ┃ я ѣ │ ж ѵ │ ф ѳ │ п   │ г ґ │ й ј │ л љ │ у ў │ ы ї │ ю ; │ ш « │ щ » ┃   ⏎   ┃
            #┣━━━━━━━┻┱────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┴┬────┺┓      ┃
            #┃ ⌫ Back ┃ А ʼ │ Р   │ С   │ Т Ћ │ Д Ђ │ Ч Џ │ Н Њ │ Е Є │ И І │ О   │ Ь Ъ │ Э ” ┃      ┃
            #┃  space ┃ а ' │ р ® │ с @ │ т ћ │ д ђ │ ч џ │ н њ │ е є │ и і │ о   │ ь ъ │ э ’ ┃      ┃
            #┣━━━━━━━━┻━┱───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┬───┴─┲━━━┷━━━━━┻━━━━━━┫
            #┃          ┃ З Ѕ │ Х   │ Ц   │ В   │ Б Ѓ │ К Ќ │ М   │ ;   │ :   │ ? | ┃                ┃
            #┃  Shift ⇧ ┃ з ѕ │ х   │ ц © │ в   │ б ѓ │ к ќ │ м   │ , < │ . > │ / \ ┃     Shift ⇧    ┃
            #┣━━━━━━━┳━━┻━━━━┳┷━━━━━┷┱────┴─────┴─────┴─────┴─────┴─────┴┲━━━━┷━━┳━━┻━━━━┳━━━━━━━┳━━━┛
            #┃       ┃       ┃       ┃                                   ┃       ┃       ┃       ┃
            #┃ Ctrl  ┃ Meta  ┃  Alt  ┃                Space              ┃AltGr ⇮┃ Menu  ┃ Ctrl  ┃
            #┗━━━━━━━┻━━━━━━━┻━━━━━━━┹───────────────────────────────────┺━━━━━━━┻━━━━━━━┻━━━━━━━┛
            # monospace has fallen
            # this might (should) be changed to actually fit our keyboard !!!!!!!!1
          };
        };
      }
    )
  ];
}
